<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Sun Jun 10 11:40:17 CEST 2007 -->
<TITLE>
S-Index
</TITLE>

<META NAME="date" CONTENT="2007-06-10">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="S-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-14.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-16.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-15.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-15.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">H</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">R</A> <A HREF="index-15.html">S</A> <A HREF="index-16.html">U</A> <A HREF="index-17.html">V</A> <A HREF="index-18.html">W</A> <HR>
<A NAME="_S_"><!-- --></A><H2>
<B>S</B></H2>
<DL>
<DT><A HREF="../javasciplugin/console/SciConsole.html" title="class in javasciplugin.console"><B>SciConsole</B></A> - Class in <A HREF="../javasciplugin/console/package-summary.html">javasciplugin.console</A><DD>This class defines the console editor of the Scilab plugin.<DT><A HREF="../javasciplugin/console/SciConsole.html#SciConsole()"><B>SciConsole()</B></A> - 
Constructor for class javasciplugin.console.<A HREF="../javasciplugin/console/SciConsole.html" title="class in javasciplugin.console">SciConsole</A>
<DD>&nbsp;
<DT><A HREF="../javasciplugin/fileBrowser/SciFileBrowser.html" title="class in javasciplugin.fileBrowser"><B>SciFileBrowser</B></A> - Class in <A HREF="../javasciplugin/fileBrowser/package-summary.html">javasciplugin.fileBrowser</A><DD>This class defines the console editor of the Scilab plugin.<DT><A HREF="../javasciplugin/fileBrowser/SciFileBrowser.html#SciFileBrowser()"><B>SciFileBrowser()</B></A> - 
Constructor for class javasciplugin.fileBrowser.<A HREF="../javasciplugin/fileBrowser/SciFileBrowser.html" title="class in javasciplugin.fileBrowser">SciFileBrowser</A>
<DD>&nbsp;
<DT><A HREF="../javasciplugin/history/SciHistory.html" title="class in javasciplugin.history"><B>SciHistory</B></A> - Class in <A HREF="../javasciplugin/history/package-summary.html">javasciplugin.history</A><DD>This class defines the console editor of the Scilab plugin.<DT><A HREF="../javasciplugin/history/SciHistory.html#SciHistory()"><B>SciHistory()</B></A> - 
Constructor for class javasciplugin.history.<A HREF="../javasciplugin/history/SciHistory.html" title="class in javasciplugin.history">SciHistory</A>
<DD>&nbsp;
<DT><A HREF="../javasciplugin/SciPerspectiveFactory.html" title="class in javasciplugin"><B>SciPerspectiveFactory</B></A> - Class in <A HREF="../javasciplugin/package-summary.html">javasciplugin</A><DD>This class is used to describe the Scilab perspective.<DT><A HREF="../javasciplugin/SciPerspectiveFactory.html#SciPerspectiveFactory()"><B>SciPerspectiveFactory()</B></A> - 
Constructor for class javasciplugin.<A HREF="../javasciplugin/SciPerspectiveFactory.html" title="class in javasciplugin">SciPerspectiveFactory</A>
<DD>&nbsp;
<DT><A HREF="../javasciplugin/workspace/SciWorkspace.html" title="class in javasciplugin.workspace"><B>SciWorkspace</B></A> - Class in <A HREF="../javasciplugin/workspace/package-summary.html">javasciplugin.workspace</A><DD>This class defines the console editor of the Scilab plugin.<DT><A HREF="../javasciplugin/workspace/SciWorkspace.html#SciWorkspace()"><B>SciWorkspace()</B></A> - 
Constructor for class javasciplugin.workspace.<A HREF="../javasciplugin/workspace/SciWorkspace.html" title="class in javasciplugin.workspace">SciWorkspace</A>
<DD>&nbsp;
<DT><A HREF="../javasciplugin/console/SciConsole.html#setFocus()"><B>setFocus()</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/SciConsole.html" title="class in javasciplugin.console">SciConsole</A>
<DD>This method is executed when the SciHistory gets the focus.
<DT><A HREF="../javasciplugin/fileBrowser/SciFileBrowser.html#setFocus()"><B>setFocus()</B></A> - 
Method in class javasciplugin.fileBrowser.<A HREF="../javasciplugin/fileBrowser/SciFileBrowser.html" title="class in javasciplugin.fileBrowser">SciFileBrowser</A>
<DD>This method is executed when the FileBrowserWidget gets the focus.
<DT><A HREF="../javasciplugin/history/SciHistory.html#setFocus()"><B>setFocus()</B></A> - 
Method in class javasciplugin.history.<A HREF="../javasciplugin/history/SciHistory.html" title="class in javasciplugin.history">SciHistory</A>
<DD>This method is executed when the SciHistory gets the focus.
<DT><A HREF="../javasciplugin/workspace/SciWorkspace.html#setFocus()"><B>setFocus()</B></A> - 
Method in class javasciplugin.workspace.<A HREF="../javasciplugin/workspace/SciWorkspace.html" title="class in javasciplugin.workspace">SciWorkspace</A>
<DD>This method is executed when the SciHistory gets the focus.
<DT><A HREF="../javasciplugin/console/ConsoleWidget.html#setInputText(java.lang.String)"><B>setInputText(String)</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/ConsoleWidget.html" title="class in javasciplugin.console">ConsoleWidget</A>
<DD>This method is a setter for the textInput text.
<DT><A HREF="../javasciplugin/plot/Plot.html#setJavaSciWrapper(javasciplugin.JavaSciWrapper)"><B>setJavaSciWrapper(JavaSciWrapper)</B></A> - 
Method in class javasciplugin.plot.<A HREF="../javasciplugin/plot/Plot.html" title="class in javasciplugin.plot">Plot</A>
<DD>This method is used to set a reference to the javaSciWrapper in order to get access to the plotSemaphore.
<DT><A HREF="../javasciplugin/console/ConsoleWidget.html#setOuputText(java.lang.String)"><B>setOuputText(String)</B></A> - 
Method in class javasciplugin.console.<A HREF="../javasciplugin/console/ConsoleWidget.html" title="class in javasciplugin.console">ConsoleWidget</A>
<DD>This method is a setter for the textOutput text.
<DT><A HREF="../javasciplugin/Activator.html#start(org.osgi.framework.BundleContext)"><B>start(BundleContext)</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method initialises the temporary file path and the history file path.
<DT><A HREF="../javasciplugin/Activator.html#startConsole()"><B>startConsole()</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method starts the console or brings it to the front of eclipse.
<DT><A HREF="../javasciplugin/Activator.html#stop(org.osgi.framework.BundleContext)"><B>stop(BundleContext)</B></A> - 
Method in class javasciplugin.<A HREF="../javasciplugin/Activator.html" title="class in javasciplugin">Activator</A>
<DD>This method disposes javaSciWrapper.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-14.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-16.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-15.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-15.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">C</A> <A HREF="index-3.html">D</A> <A HREF="index-4.html">E</A> <A HREF="index-5.html">F</A> <A HREF="index-6.html">G</A> <A HREF="index-7.html">H</A> <A HREF="index-8.html">I</A> <A HREF="index-9.html">J</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">O</A> <A HREF="index-13.html">P</A> <A HREF="index-14.html">R</A> <A HREF="index-15.html">S</A> <A HREF="index-16.html">U</A> <A HREF="index-17.html">V</A> <A HREF="index-18.html">W</A> <HR>

</BODY>
</HTML>
